package com.hh.lib_face.bean;

import com.google.gson.annotations.SerializedName;

/**
 * 商户平台返回三要素
 */
public class AlipayUserInfoResultBean {

    @SerializedName("userId")
    private String userId;
    @SerializedName("certNo")
    private String certNo;
    @SerializedName("mobile")
    private String mobile;
    @SerializedName("userName")
    private String userName;
    @SerializedName("personPictures")
    private Object personPictures;
    @SerializedName("avatar")
    private String avatar;
    @SerializedName("photoBase64")
    private String photoBase64;

    //本地字段，从小程序传入。
    private String name; //姓名
    private String idNum; //身份证号

    private boolean isFailed=false; //本地字段，参数错误，返回失败
    private String failedMsg=""; //本地字段，参数错误，返回失败

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCertNo() {
        return certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Object getPersonPictures() {
        return personPictures;
    }

    public void setPersonPictures(Object personPictures) {
        this.personPictures = personPictures;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getPhotoBase64() {
        return photoBase64;
    }

    public void setPhotoBase64(String photoBase64) {
        this.photoBase64 = photoBase64;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }

    public String getFailedMsg() {
        return failedMsg;
    }

    public void setFailedMsg(String failedMsg) {
        this.failedMsg = failedMsg;
    }

    public boolean isFailed() {
        return isFailed;
    }

    public void setFailed(boolean failed) {
        isFailed = failed;
    }

    @Override
    public String toString() {
        return "AlipayUserInfoResultBean{" +
                "userId='" + userId + '\'' +
                ", certNo='" + certNo + '\'' +
                ", mobile='" + mobile + '\'' +
                ", userName='" + userName + '\'' +
                ", personPictures=" + personPictures +
                ", avatar='" + avatar + '\'' +
                ", photoBase64='" + photoBase64 + '\'' +
                ", name='" + name + '\'' +
                ", idNum='" + idNum + '\'' +
                ", isFailed=" + isFailed +
                ", failedMsg='" + failedMsg + '\'' +
                '}';
    }
}
